---
search:
  tags:
    - Products
    - GET
seo:
  description: >-
    Get a product by id. A soft-deleted product is returned with deleted: true.
    Reference for the GET /products/{productId} endpoint in the scango.ch API.
sidebar:
  label: Get product by ID
  badge: GET
title: Get product by ID
type: openapi-operation
---
Get a product by id. A soft-deleted product is returned with `deleted: true`.

`GET /products/{productId}`

**Responses**

- `200` — Product details
- `403` — Missing, unknown or inactive API key, or a Read key on a write operation.
- `404` — No item with this id.

Response example, 200:

```json
{
  "data": {
    "id": "a1b2c3",
    "name": "Mineral water 50cl",
    "price": 120,
    "barcode": "7610800001234",
    "taxCategory": "2.6",
    "category": "cat_01",
    "supplier": "sup_01",
    "description": "",
    "showOnScreen": true,
    "ageRestriction": false,
    "showOnScale": false,
    "saleStop": false,
    "imageUrl": ""
  }
}
```

Response example, 403:

```json
{
  "statusCode": 403,
  "message": "Unknown Error",
  "timestamp": "2024-04-20T12:00:00.000Z",
  "path": "/api/v1/products"
}
```
